<div>
    <h2 id="page-heading">
        <span jhiTranslate="locadoraApp.locacao.home.title">Locacaos</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-locacao" [routerLink]="['/locacao/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="locadoraApp.locacao.home.createLabel">
            Create new Locacao
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="locacaos">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="dataLocacao"><span jhiTranslate="locadoraApp.locacao.dataLocacao">Data Locacao</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="valorLocacao"><span jhiTranslate="locadoraApp.locacao.valorLocacao">Valor Locacao</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="observacao"><span jhiTranslate="locadoraApp.locacao.observacao">Observacao</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="userEmail"><span jhiTranslate="locadoraApp.locacao.user">User</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let locacao of locacaos ;trackBy: trackId">
                <td><a [routerLink]="['/locacao', locacao.id, 'view' ]">{{locacao.id}}</a></td>
                <td>{{locacao.dataLocacao | date:'mediumDate'}}</td>
                <td>{{locacao.valorLocacao}}</td>
                <td>{{locacao.observacao}}</td>
                <td>
                    {{locacao.userEmail}}
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/locacao', locacao.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/locacao', locacao.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'locacao', { outlets: { popup: locacao.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <!-- Pager is not implemented yet, so this is normal pagination instead -->
    <div *ngIf="locacaos && locacaos.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
